import request from '@/utils/request'

// 查询消耗性生物资产列表
export function listExpendable(query) {
  return request({
    url: '/asset/expendable/list',
    method: 'get',
    params: query
  })
}

// 统计查询消耗性生物资产列表
export function statisticExpendable(query) {
  return request({
    url: '/asset/expendable/statistic',
    method: 'get',
    params: query
  })
}

// 导出消耗性生物资产
export function exportExpendable(query) {
  return request({
    url: '/asset/expendable/export',
    method: 'get',
    params: query
  })
}

// 查询消耗性生物资产详细
export function getExpendable(id) {
  return request({
    url: '/asset/expendable/get/' + id,
    method: 'get',
    params: arguments[1] || {}
  })
}

// 新增消耗性生物资产
export function addExpendable(data) {
  return request({
    url: '/asset/expendable/add',
    method: 'post',
    data: data
  })
}

// 修改消耗性生物资产
export function updateExpendable(data) {
  return request({
    url: '/asset/expendable/edit',
    method: 'post',
    data: data
  })
}

// 删除消耗性生物资产
export function delExpendable(id) {
  return request({
    url: '/asset/expendable/remove/' + id,
    method: 'get'
  })
}

